Subject: Re: [PATCH] reboot when panic_timout is set

From: Olaf Hering <[email-masked]>
Date: Fri, 25 Aug 2006 22:14:02 +0200

On Fri, Aug 25, Mike Strosaker wrote:

> Olaf Hering wrote:
> 
> >Only call into RTAS when booted with panic=0 because the RTAS call does 
> >not return.
> >The system has to be rebooted via the HMC or via the management console 
> >right now.
> >This is cumbersome and not what the default panic=180 is supposed to do.
> > 
> >
> The os-term call is supposed to indicate to the platform that it should 
> follow it's abnormal OS termination policy.  I normally set my 
> partitions to reboot immediately after an os-term call.  I believe that 
> "/usr/sbin/serv_config -b" (installed with powerpc-utils-papr) is used 
> to set that policy from the command line.

That doesnt help me at all if the kernel crashes before it reaches
/init. And if one has to call a binary anyway to set or upgrade the
policy, this binary can also set /proc/sys/kernel/panic to 0.

Do I have to set it for each boot, or is a change permanent?